Skip to content

Directly Buy Label

Request

Purchases a shipping label directly without comparing multiple carrier options. This endpoint is applicable only when there is a single carrier configured for each carrier type in the user's account. If multiple carriers of the same type exist, use the Get Rate API to retrieve options, then call the Buy Label API to complete the purchase.
Rate limit: 600 requests per minute.

Security
ApiTokenAuth
Bodyapplication/jsonrequired
request_idstring

Unique identifier for this API request. Used for tracking, debugging, and issue resolution. Must be a string up to 64 characters.

Example:"req_20251024_abcd1234ef567890"
carrierobject

Carrier information

fromobjectrequired

Shipper's address

toobjectrequired

Recipient's address

shipmentsArray of objectsrequired

List of shipments

orderobject

Order information

optionsobject

Additional shipping options

recipient_tax_idsArray of objects

Recipient's tax information

POST
/api/rates/buy-label
curl -i -X POST \
  'https://api.shipsaving.com/api/rates/buy-label?api_token=YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "request_id": "req_20251024_abcd1234ef567890",
    "carrier": {
      "carrier_token": "ca_36f49ebbe91d4006a6583e17ceeec500"
    },
    "from": {
      "name": "full name",
      "company": "company name",
      "email": "xxx@gmail.com",
      "phone": 1237771234,
      "street": "xxx Grand Ave",
      "street2": "Apt 5B",
      "city": "Los Angeles",
      "state": "CA",
      "zip": 90018,
      "country": "US"
    },
    "to": {
      "name": "full name",
      "company": "company name",
      "email": "xxx@gmail.com",
      "phone": 1237771234,
      "street": "xxx Grand Ave",
      "street2": "Apt 5B",
      "city": "Los Angeles",
      "state": "CA",
      "zip": 90018,
      "country": "US",
      "residential": true
    },
    "shipments": [
      {
        "length": 6,
        "width": 6,
        "height": 6,
        "weight": 1,
        "packages": [
          "usps_small_flat_rate_box"
        ],
        "insurance_amount": 120,
        "custom_print1": "custom print1",
        "custom_print2": "custom print2",
        "contents": [
          {
            "weight": 1,
            "description": "T-shirt",
            "quantity": 2,
            "value": 29.99,
            "hs_tariff_number": "610910",
            "origin_country": "US"
          }
        ]
      }
    ],
    "order": {
      "warehouse_name": "WH",
      "store_name": "string",
      "order_number": "string",
      "status": "awaiting",
      "service_type": "usps_ground_advantage",
      "signature": "NO_SIGNATURE",
      "insurance_provider": "SHIPSURANCE",
      "contents_type": "GIFT",
      "non_delivery_option": "RETURN",
      "eel_pfc_type": "ITN",
      "eel_pfc_code": "X20250627012345",
      "tax_ids": [
        {
          "tax_id_type": "TIN",
          "tax_id_number": "string",
          "tax_id_country": "US"
        }
      ]
    },
    "options": {
      "ship_date": "2024-02-07T10:55:56-08:00",
      "require_saturday_delivery": false,
      "require_hazmat": false,
      "hazmat_code": "usps_hazmat_820",
      "label_type": "png",
      "require_qr_code": false
    },
    "recipient_tax_ids": [
      {
        "tax_id_type": "TIN",
        "tax_id_number": "string"
      }
    ]
  }'

Responses

Label successfully purchased

Bodyapplication/json
packing_slip_numberinteger
Example:109169
master_tracking_codestring
Example:""
prefix_tracking_codestring
Example:""
tracking_codestring
Example:"1ZY50G652000880500"
label_sizestring
Example:"4x6"
label_typestring
Example:"label"
lengthnumber
Example:12
widthnumber
Example:12
heightnumber
Example:7
weightnumber
Example:14.99
insurancenumber
Example:0
insurance_feenumber
Example:0
signaturestring
Example:"NO_SIGNATURE"
custom_print1string
Example:""
custom_print2string
Example:""
delivery_daysstring
Example:"1"
service_feenumber
Example:0.05
ratenumber
Example:10.87
rebatenumber
Example:0
from_namestring

Sender's name

Example:"sender name"
from_companystring

Sender's company

Example:"ShipSaving, LLC"
from_phonestring

Sender's phone

Example:""
from_streetstring

Sender's address line 1

Example:"769 Broadview Avenue"
from_street2string

Sender's address line 2

Example:""
from_citystring

Sender's city

Example:"Toronto"
from_statestring

Sender's state or province

Example:"ON"
from_zipstring

Sender's postal code

Example:"M4K 2P7"
from_countrystring

Sender's country code

Example:"CA"
to_namestring

Recipient's name

Example:"ShipSaving"
to_companystring

Recipient's company

Example:"UPS Plus"
to_phonestring

Recipient's phone

Example:""
to_streetstring

Recipient's address line 1

Example:"961 Broadview Avenue"
to_street2string

Recipient's address line 2

Example:""
to_citystring

Recipient's city

Example:"Toronto"
to_statestring

Recipient's state or province

Example:"ON"
to_zipstring

Recipient's postal code

Example:"M4K 2P7"
to_countrystring

Recipient's country code

Example:"CA"
label_statusstring
Example:"completed"
shipment_idinteger
Example:1245627
warehouse_namestring
Example:"WH"
store_namestring
Example:""
order_numberstring
Example:""
providerstring
Example:"shipsaving"
carrierstring
Example:"UPS"
servicestring
Example:"UPS_GROUND"
packagestring
Example:"PACKAGE"
published_ratenumber
Example:34.53
label_urlArray of strings
Example:
[ "https://...../labels/2025-06-30/0231b055b64044e6b7e027874e915361_0.pdf" ]
commercial_invoice_urlstring or null
Example:null
Response
{ "packing_slip_number": 109169, "master_tracking_code": "", "prefix_tracking_code": "", "tracking_code": "1ZY50G652000880500", "label_size": "4x6", "label_type": "label", "length": 12, "width": 12, "height": 7, "weight": 14.99, "insurance": 0, "insurance_fee": 0, "signature": "NO_SIGNATURE", "custom_print1": "", "custom_print2": "", "delivery_days": "1", "service_fee": 0.05, "rate": 10.87, "rebate": 0, "from_name": "sender name", "from_company": "ShipSaving, LLC", "from_phone": "", "from_street": "769 Broadview Avenue", "from_street2": "", "from_city": "Toronto", "from_state": "ON", "from_zip": "M4K 2P7", "from_country": "CA", "to_name": "ShipSaving", "to_company": "UPS Plus", "to_phone": "", "to_street": "961 Broadview Avenue", "to_street2": "", "to_city": "Toronto", "to_state": "ON", "to_zip": "M4K 2P7", "to_country": "CA", "label_status": "completed", "shipment_id": 1245627, "warehouse_name": "WH", "store_name": "", "order_number": "", "provider": "shipsaving", "carrier": "UPS", "service": "UPS_GROUND", "package": "PACKAGE", "published_rate": 34.53, "label_url": [ "https://...../labels/2025-06-30/0231b055b64044e6b7e027874e915361_0.pdf" ], "commercial_invoice_url": null }